org.apache.lucene.analysis.phonetic

## Class DoubleMetaphoneFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.phonetic.DoubleMetaphoneFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class DoubleMetaphoneFilter
    extends TokenFilter

Filter for DoubleMetaphone (supporting secondary codes)

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`DoubleMetaphoneFilter(TokenStream input, int maxCodeLength, boolean inject)` Creates a DoubleMetaphoneFilter with the specified maximum code length, and either adding encoded forms as synonyms (`inject=true`) or replacing them.

### Method Summary

Methods
`boolean` `incrementToken()`
`void` `reset()`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleMetaphoneFilter

    public DoubleMetaphoneFilter(TokenStream input,
                         int maxCodeLength,
                         boolean inject)

Creates a DoubleMetaphoneFilter with the specified maximum code length, and either adding encoded forms as synonyms (`inject=true`) or replacing them.

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `TokenFilter`
Throws:
  `IOException`